Bug 185585 - [PATCH] www/mod_log_mysql - new MASTER_SITES, new maintainer, new version
[PATCH] www/mod_log_mysql - new MASTER_SITES, new maintainer, new version
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Olli Hauer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-08 16:20 UTC by Chris Hutchinson
Modified: 2014-01-18 18:02 UTC (History)
0 users

See Also:


Attachments
file.diff (593 bytes, patch)
2014-01-08 16:20 UTC, Chris Hutchinson
no flags Details | Diff
patch-mod_log_mysql-Makefile.shar (1.25 KB, application/octet-stream)
2014-01-08 18:12 UTC, Chris Hutchinson
no flags Details
patch-distinfo.shar (857 bytes, application/octet-stream)
2014-01-08 18:12 UTC, Chris Hutchinson
no flags Details
distinfo.shar (557 bytes, application/octet-stream)
2014-01-09 18:09 UTC, Chris Hutchinson
no flags Details
patch-mod_log_mysql.c.shar (1.02 KB, application/octet-stream)
2014-01-09 18:09 UTC, Chris Hutchinson
no flags Details
distinfo.shar (557 bytes, application/octet-stream)
2014-01-10 22:23 UTC, Chris Hutchinson
no flags Details
patch-mod_log_mysql.c.shar (1.02 KB, application/octet-stream)
2014-01-10 22:23 UTC, Chris Hutchinson
no flags Details
PR_185585.diff.txt (5.28 KB, text/plain)
2014-01-16 17:25 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2014-01-08 16:20:01 UTC
The current list for MASTER_SITES points to LOCAL/ohauer because the old MAINTAINER abandoned the source. As such, this port is destined for removal.
I can easily maintain the source for as long as the FreeBSD project, and it's users finds it a useful port.

Fix: USE the following in the Makefile, as well as replacing the current patch-mod_log_mysql.c with the one attached to this message.
IMPORTANT - I will also HOST www/mod_log_config-st as a dependency of this port.
See an additional PR.

Makefile:
PORTVERSION=	1.04
#PORTREVISION=	3

MASTER_SITES=	http://bsdforge.com/projects/source/apache2/



Patch attached with submission follows:
How-To-Repeat: Attempt to install it.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-08 16:20:09 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-01-08 16:20:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Chris Hutchinson 2014-01-08 18:12:56 UTC
Please find 2 additional patches, which address Makefile, and distinfo for
www/mod_log_mysql.
They should be all that's left to reconcile the problems associated with this port.

Best wishes.
Comment 4 ohauer 2014-01-08 21:40:44 UTC
Hi C. Hutchinson,

some questions / remarks.

Using the command `diff -nruw' I see no no code addition / improvement

However, you have changed the original license and and added your name
and  BSDforge as additional Copyright holder.

- * Copyright 2003 Sönke Tesch. All rights reserved.
- * Version 20031023
+ * Copyright 2003 Sönke Tesch. All rights reserved.
+ * Copyright 2014 C Hutchinson, All rights reserved.

Some reasons why I additional dislike the License change:

+ * 4. Neither the name of BSDforge, nor the names of its contributors
+ *    may be used to endorse or promote products derived from this
+ *    software without specific prior written permission.
+ *
...
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+ * THIS SOFTWARE IS PROVIDED BY THE PERLWATCH ORGANIZATION ''AS IS'' AND


My personal opinion:

I see no code improvements that allows such Lic. changes (cleanup whites paces
and using iconv to convert a file from ISO-8859 to UTF-8 was never a reason to
add an individual to the Copyright or allow to change the License terms.

I have contacted the original src. Author from mod_log_mysql, so please
be patient and stay tuned until I have feedback from Sönke.

-- 
Regards,
olli
Comment 5 Chris Hutchinson 2014-01-09 00:19:32 UTC
Greetings,
 Just so that it's on the record. The copy I used to re-create this port, was this
copy, placed in the Public Domain on 2003-10-23. While I'm quite flexible, I just
wanted anyone concerned to know the source. :)
Public Domain copy:
http://web.archive.org/web/20081222120038/http://bitbrook.de/software/mod_log_mysql/mod_log_mysql.c

Thank you for all your time, and consideration, and DO know I have no
issue modifying the license. My primary concern is to ensure this port
remains available. :)

--Chris
Comment 6 Chris Hutchinson 2014-01-09 18:09:08 UTC
Update.
 Given the expressed concern regarding the Lic. I've modified it,
and re-created the port (source). I've updated the source tar ball on the
site, to reflect the changes -- the name of the tar ball hasn't changed,
only the size. As such, please find attached, the distinfo file, that
reflects this change, and will be needed/wanted for the FreeBSD port.
Please find also, the new patch, that will also be needed for the *BSD port.

Also note; I've created extensive documentation for this, in both
plain test, and html. I'll add it to the port, once all of this has
been added to the *BSD port(s) tree.

Thank you for all your time, and consideration.

--Chris
Comment 7 st 2014-01-10 09:38:47 UTC
Hi,

I'm the original author of mod_log_mysql and, as Chris already pointed
out, released the code to public domain a few years ago.

Even though I don't use the module anymore, it's nice to see someone
taking care of it, this is much appreciated.

However, I'd like to emphasize that _my_ part of the work is public
domain. If someone puts his _additional_ work under BSD 2 license, fair
enough, but still it should be clear where the rest of the stuff came
from (i.e. public domain).

So, if we end up with something like

From Public Domain.
Additional contributions: Copyright 2014 C Hutchinson, All rights reserved.

it'd be perfectly fine with me. Obviously, I'd be even happier with
anything less-copyrightish :) Those who care about others' work will
know, those who don't, give a fuck about copyright anyway.

Kind regards,
Sönke
Comment 8 Chris Hutchinson 2014-01-10 21:24:24 UTC
Greetings, Sönke. Thanks for the reply.
> The following reply was made to PR ports/185585; it has been noted by GNATS.
>
> From: Sönke Tesch <st@bitbrook.de>
> To: bug-followup@FreeBSD.org, portmaster@bsdforge.com
> Cc: olli hauer <ohauer@gmx.de>
> Subject: Re: ports/185585: [PATCH] www/mod_log_mysql - new MASTER_SITES, new
>  maintainer, new version
> Date: Fri, 10 Jan 2014 10:38:47 +0100
>
>  Hi,
>
>  I'm the original author of mod_log_mysql and, as Chris already pointed
>  out, released the code to public domain a few years ago.
>
>  Even though I don't use the module anymore, it's nice to see someone
>  taking care of it, this is much appreciated.
>
>  However, I'd like to emphasize that _my_ part of the work is public
>  domain. If someone puts his _additional_ work under BSD 2 license, fair
>  enough, but still it should be clear where the rest of the stuff came
>  from (i.e. public domain).
>
>  So, if we end up with something like
>
>  From Public Domain.
>  Additional contributions: Copyright 2014 C Hutchinson, All rights reserved.
>
>  it'd be perfectly fine with me. Obviously, I'd be even happier with
>  anything less-copyrightish :) Those who care about others' work will
>  know, those who don't, give a fuck about copyright anyway.
>
>  Kind regards,
>  S??nke

From Public Domain.
Additional contributions: Copyright 2014 C Hutchinson, All rights reserved.

I like it. Suits be just dandy. So if we're in agreement. Let's consider this
case closed, and get the ball rolling -- are you listening apache@ ;-)

Thanks again, Sönke. For taking the time to respond.

--Chris

> _______________________________________________
> freebsd-apache@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-apache
> To unsubscribe, send any mail to "freebsd-apache-unsubscribe@freebsd.org"
Comment 9 Chris Hutchinson 2014-01-10 21:51:45 UTC
Greetings,
 As it appears we have a consensus. I'd really like to close this up
(finish the source/port). As such, I find myself wondering /which/
version to patch against. Until, or unless I hear other wise, I'm
simply going to pack up the "agreed upon" version. Post it on the site
(BSDforge.com), and send a patch against that copy, for inclusion
into the FreeBSD ports dir. There's no reason to re-patch the Makefile
I already sent a patch for. But I'll also send a new distfile, with the
correct SHA256, and SIZE information. Expect to see them today.

Thank you for all your time, and consideration.

--Chris
Comment 10 Chris Hutchinson 2014-01-10 22:23:08 UTC
Greetings,
 Please find attached distinfo.shar -- distinfo file against the current
copy of mod_log_mysql on the site.
Please also find patch-mod_log_mysql.c.shar -- the patch against the current
source hosted. Both files are needed for the www/mod_log_mysql port.
No additional changes should be required against the Makefile I have
already sent a patch for.

Source is located within http://BSDforge.com/projects/source/apache2
as noted within the Makefile.

This should be all that's needed. Please add/apply as needed.
I think it's now done. :)

Thank you for all your time, and consideration.

--Chris
Comment 11 Olli Hauer freebsd_committer 2014-01-14 20:15:20 UTC
Responsible Changed
From-To: apache->ohauer

I'll take it. 

Please submit a single diff against the current port so we don't have 
to solve a puzzle. Do not create shar files, send a single unified diff. 

In case you are use subversion 

$ svn co --depth empty http://svn.freebsd.org/ports/head PR_185585 
$ svn up --set-depth empty PR_185585/www 
$ svn up PR_185585/www/mod_log_mysql PR_185585/www/mod_log_config-st 

# make your modifications in both ports 
$ cd PR_185585/www 
$ svn diff > PR_185585.diff
Comment 12 Chris Hutchinson 2014-01-16 17:25:11 UTC
UPDATE as per request

Please find attached one (unified) patch:
PR_185585.diff.txt

Actions taken:
svn co --depth empty http://svn.freebsd.org/ports/head PR_185585
svn up --set-depth empty PR_185585/www
svn up PR_185585/www/mod_log_mysql PR_185585/www/mod_log_config-st

modified all necessary files

cd PR_185585/www
svn diff > PR_185585.diff

Files affected:
www/mod_log_mysql/Makefile
www/mod_log_mysql/distinfo
www/mod_log_mysql/pkg-descr
www/mod_log_mysql/files/patch-mod_log_mysql.c

www/mod_log_config-st/Makefile
www/mod_log_config-st/distinfo
www/mod_log_config-st/pkg-message

Please let me know if any further action(s) are required on my part,
or that this completes/satisfies this PR.

Thank you for all your time, and consideration in this matter.

--Chris
Comment 13 dfilter freebsd_committer 2014-01-18 17:58:51 UTC
Author: ohauer
Date: Sat Jan 18 17:58:42 2014
New Revision: 340199
URL: http://svnweb.freebsd.org/changeset/ports/340199
QAT: https://qat.redports.org/buildarchive/r340199/

Log:
  - pass maintainer to submitter
  - add LICENSE
  - new MASTER site
  - new re-rolled distfile some minor cleanup (mostly white spaces)
  
  PR:		ports/185585
  Submitted by:	C Hutchinson <portmaster@bsdforge.com> (new maintainer)

Modified:
  head/www/mod_log_mysql/Makefile
  head/www/mod_log_mysql/distinfo   (contents, props changed)
  head/www/mod_log_mysql/files/patch-mod_log_mysql.c   (contents, props changed)
  head/www/mod_log_mysql/pkg-descr   (contents, props changed)

Modified: head/www/mod_log_mysql/Makefile
==============================================================================
--- head/www/mod_log_mysql/Makefile	Sat Jan 18 17:56:47 2014	(r340198)
+++ head/www/mod_log_mysql/Makefile	Sat Jan 18 17:58:42 2014	(r340199)
@@ -2,23 +2,19 @@
 # $FreeBSD$
 
 PORTNAME=	mod_log_mysql
-PORTVERSION=	1.0
-PORTREVISION=	3
+PORTVERSION=	1.04
 CATEGORIES=	www
-# Original location: http://bitbrook.de/software/mod_log_mysql/mod_log_mysql.c
-# Please handle update requests with care!
-# sheepkiller was hacked and not cleaned over a long periode.
-# (First notice 2011-03 not cleaned until 2011-07)
-# Provide distfile now from LOCAL
-#MASTER_SITES=	http://sheepkiller.nerim.net/ports/${PORTNAME}/
-MASTER_SITES=	LOCAL/ohauer
+MASTER_SITES=	http://bsdforge.com/projects/source/apache2/
 DIST_SUBDIR=	apache2
 
-MAINTAINER=	apache@FreeBSD.org
-COMMENT=	Allows Apache 2 to log to a MySQL database
+MAINTAINER=	portmaster@bsdforge.com
+COMMENT=	Allows Apache 2.2.x to log to a MySQL database
 
-EXPIRATION_DATE=	2014-02-08
-DEPRECATED=	Upstream site gone since 2011-03
+LICENSE=	PUBLIC_DOMAIN APACHE11
+LICENSE_COMB=	multi
+LICENSE_NAME_PUBLIC_DOMAIN=	Public Domain
+LICENSE_TEXT_PUBLIC_DOMAIN=	mod_log_mysql.c is in the Public Domain as of 2003.10.23.
+LICENSE_PERMS_PUBLIC_DOMAIN=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 
 RUN_DEPENDS+=	${LOCALBASE}/${APACHEMODDIR}/mod_log_config-st.so:${PORTSDIR}/www/mod_log_config-st
 

Modified: head/www/mod_log_mysql/distinfo
==============================================================================
--- head/www/mod_log_mysql/distinfo	Sat Jan 18 17:56:47 2014	(r340198)
+++ head/www/mod_log_mysql/distinfo	Sat Jan 18 17:58:42 2014	(r340199)
@@ -1,2 +1,2 @@
-SHA256 (apache2/mod_log_mysql-1.0.tar.gz) = 27fdd2c87133d62171a38585807f70009821a3cb13e011d2ceb62fcc1c8ad4bb
-SIZE (apache2/mod_log_mysql-1.0.tar.gz) = 8046
+SHA256 (apache2/mod_log_mysql-1.04.tar.gz) = da6cfbd1788b28e7421fcf4963e592bafec3b946ea9f01ac5319708e7ec41d45
+SIZE (apache2/mod_log_mysql-1.04.tar.gz) =  8010

Modified: head/www/mod_log_mysql/files/patch-mod_log_mysql.c
==============================================================================
--- head/www/mod_log_mysql/files/patch-mod_log_mysql.c	Sat Jan 18 17:56:47 2014	(r340198)
+++ head/www/mod_log_mysql/files/patch-mod_log_mysql.c	Sat Jan 18 17:58:42 2014	(r340199)
@@ -1,11 +1,11 @@
---- mod_log_mysql.c	2003-11-01 12:21:28.000000000 +0200
-+++ mod_log_mysql.c.new	2010-11-28 17:01:06.000000000 +0200
-@@ -172,11 +172,13 @@
+--- mod_log_mysql.c	2014-01-10 13:56:23.777364558 -0800
++++ mod_log_mysql.c.new	2014-01-10 13:58:54.058985546 -0800
+@@ -142,11 +142,13 @@
  {
    mysql_log *l = param;
    MYSQL *db;
 +  my_bool do_reconnect = 1;
-     
+ 
    db = apr_palloc(p, sizeof(MYSQL));
  
    mysql_init(db);

Modified: head/www/mod_log_mysql/pkg-descr
==============================================================================
--- head/www/mod_log_mysql/pkg-descr	Sat Jan 18 17:56:47 2014	(r340198)
+++ head/www/mod_log_mysql/pkg-descr	Sat Jan 18 17:58:42 2014	(r340199)
@@ -4,10 +4,10 @@ request logging into a MySQL database.
 Key features are:
     * Seamless integration into the standard Apache logging
       configuration.
-    * Only one configuration line needed to start logging.
+    * Only a single configuration line needed to start logging.
     * Free SQL use.
     * Multiple databases, database users and/or database servers.
-    * Connection pooling, only one connection per log target per
+    * Connection pooling, only one connection per log target, per
       child process.
     * Logs data as it is: e.g. times as SQL DATETIME and n/a items
       as SQL NULL.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 14 Olli Hauer freebsd_committer 2014-01-18 18:00:25 UTC
State Changed
From-To: open->closed

Committed with minor changes (add License) 
Thanks for maintaining the port!